Subject: Re: bug#26352: [PATCH 1/3] gnu: Update networkmanager to version 1.6.2.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 11 Apr 2017 17:45:21 +0200

Hello!

Hartmut Goebel <[email-masked]> skribis:

>> Note that ‘pre-configure’, ‘fix-docbook’, and ‘install’ are not fields
>> of <package>, so we normally don’t represent them this way in commit logs.
>
> Fine for me. How do you want it?

Something like
<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=81eaa3f8579df42dbf0410db78b45a718fc544e7>
would do.  :-)

>> A couple of new tests are being skipped, this is for the same reason as
>> the others, right?
>
> Yes. Each of these tests is accompanied by a "fake" one which passes.

OK.

>> Normally adding both libxml2 and libxslt as inputs would save you from
>> writing this phase.  Could you check that this is the case?
> Indeed, adding libxml2 sets XML_CATALOG_FILES. But then it becomes curious:
>
> - With both docbook-xsl and docbook-xml as inputs, the build fails.
> (This did not happen with my patch, since I missed adding docbook-xml to
> XML_CATALOG_FILES.)
>
>       GEN      man/nmcli.1
>     I/O error : Attempt to load network entity
>     http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
>     warning: failed to load external entity
>     "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
>     cannot parse
>     http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
>
>
> - With only docbook-xsl, the build passes while showing some errors,
> which are only treated as warnings:
>
>       GEN      man/nmcli.1
>     I/O error : Attempt to load network entity
>     http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd
>     man/nmcli.xml:7: warning: failed to load external entity
>     "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
>     ]>
>       ^
>     man/nmcli.xml:2060: parser error : Entity 'ndash' not defined
>               <para>Success &ndash; indicates the operation
>     succeeded.</para>
>                                    ^
>     man/nmcli.xml:2422: parser error : Entity 'mdash' not defined
>         https://bugzilla.gnome.org/ &mdash; product
>     <literal>NetworkManager</literal
>
>
> I'm in favour of using the only docbook-xsl as input, as this makes the
> build pass.

Let’s do that then, sounds good!

Thanks,
Ludo’.